# Functor CamomileLibrary.StringPrep.Make

    module Make: functor (Config : CamomileLibrary.ConfigInt.Type) -> functor (Text : CamomileLibrary.UnicodeString.Type) -> Type  with type text = Text.t

Parameters: |
`Config` | : | `CamomileLibrary.ConfigInt.Type`
`Text` | : | `CamomileLibrary.UnicodeString.Type`

    type text

    exception Prohibited of CamomileLibrary.UChar.t

    exception Bad_bidi

    type profile = [ `Iscsi | `Mib | `Nameprep | `Nodeprep | `Resourceprep | `Saslprep | `Trace ]

    val stringprep : profile ->
           text -> text